Uploaded image for project: 'Teiid'
  1. Teiid
  2. TEIID-5251

OData WAR Module issue with WildFly-Swarm

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Critical
    • Resolution: Done
    • Affects Version/s: 10.0
    • Fix Version/s: 10.0.3, 10.1.1, 10.2
    • Component/s: OData
    • Labels:
      None

      Description

      This issue is only applicable to WildFly-Swarm based Teiid when using OData.

      OData V4 war file uses the "org.apache.commons.lang" version "3.3.2", however, due to the nature of how Wildfly-Swarm loads the classes it is unable to load the module for the same.

      Looks like WildFly-Swarm also makes use of artifacts maven co-ordinates in some fashion from the feature-pack definitions then builds the classpath based on module definition. This is not consistent with WildFly but seems logical. To fix this module definition needs to be updated in Teiid then Teiid version needs to be updated WF-Swaram for OData to work correctly.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  rareddy Ramesh Reddy
                  Reporter:
                  rareddy Ramesh Reddy
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: